=== debian/changelog ===
oblige (3.57) unstable; urgency=low

  * Initial Release.

 -- trompkins <maciej.stankiewicz@gmail.com>  Thu, 26 Jan 2012 00:01:12 +0100
