=== debian/control ===
Source: oblige
Section: user/utilities
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev (>= 1.1.99.6), liblua5.1-0-dev (>= 5.1.4-3), zlib1g-dev (>= 1.2.3-9), libxext-dev (>= 1.0.5-4), libpng12-dev (>= 1.2.37-1), libjpeg62-dev (>= 6b-9)
Standards-Version: 3.7.2

Package: oblige
Architecture: any
Depends: ${shlibs:Depends}
Description: OBLIGE is a random level generator for various classic games.
XB-Maemo-Display-Name: Oblige
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsS
 AAALEgHS3X78AAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAABH4SURBVHja1Jp3lFXVucB/+/Tb79xpMH2GcUAYiqIkalRE
 Y295GgsqJkTFp2jii2aZul6qL0bsPaa8FEM0CvaOCUFRwQEsNBmYgZmBabf3
 U/b7Y9BYE0HNWu/74969ztpnne+399f2d46QUvL/WbQPuxiLVrwz9jwP29Y4
 /oTp+02dlpnXObWhsph3ilKCEGNzPtb4nZ/3i0BKR1V0RXjS39Xe/pVfBwNV
 eccpvmfWjGmHfXyAd0su51BZWT3jrHM2vDLnqF3azoHVSAFitz679fvA+G2R
 EqQHnjf2/86kd81VFNBU2NXPVwf6si2xyiOudJyR92mylwBCCFzPnWzbnmZZ
 0NSkIz31Hyv69gp78u0FpVSysR0PTQfPE5RLCqah4fPrqKpAvutmVRUIxcbQ
 SkQjHvctHjZfffV1fL7Me/Q4as5H6PdhPvBuEwLI571Ia1vku7M+J2cX8slE
 seCVhRBCUQSlkiOEkG7ZtUdt6SU8UKKRUIVl6r5swtYmtbXMOOCgVGtt3Q46
 OiyCYYH0HBRVQwhQ1RJO2aO7O8Sjj1avv+MW9+BEPJvy+9X36JBI79rbHYCA
 X6S2bEl8a+MmE7AAd/fSZwmHw6TTKdpbDjZqrbo5ETVwUH1hfFtjZGpFfiis
 FbyV/pGOu6lrkeiGRFUtFB1KboF8QfLmGoMH7g+/uezZwLXbthUWK0qy7LfA
 dsTeOzHvs2EQhIIaUjooQsH1XFKZNIpPZfasg6bu42+5ZL/xnWe2V06oqLMm
 oZVjDDgrGan5E3bbn2mYmKG+JoBpOeSdJD2DkuQWH6tX1g889Nfoia+tGlpT
 Lu4AJK4HmfwnjEIfJaqqksvnKNolpnVOa/9S5/F3HFA9/agJlW3UWZPRRJAh
 1rCt+hekm+6huiNHa61CQLPIlsus2WoT7/YR6DkHbfsJ+Dckwsc1jhzy7csm
 rEkl4jx27yOohk6ktoJIVRjHdv6lTh/LBwAUoZDOpXENybHTj1rw1Zln3zk5
 1kFzaBo+EWA7L7EltIh8/VJq9nFoG6/jU02KeZudQyV6NkeoHPhP2vMXUkUb
 BZEh4exgy7bNDPlTA+HpsZOMsujyitC4XxsTprVQyBbeeX54fOXeA7ytvK05
 zJ897875U+cuaIjWUh+ZzLC9kfWBH5JreZDaCdBareJXDVxPx3Vc+vtyPL0S
 pm6/haOjC8EElN1BSIWMu4NN3RtZ1fsaTgsnV9RUPFLbUk/jxHqK+X/kghkH
 HbD3YTRfzCMtwfxDzrvrgqnnXtRU2UBdsIMBZyUvtnyR5v2L7F+tYBDAccF2
 bMBGCBNN15gw3iFv3cJT8j4sWYXuVOA6Gi3uaTRqh7Nvu0I4XMHKt155eLA0
 dELdlJbHhfiUnNhxHApukdMP+tL1F04/76LW6gZC/ihCUdnmrkLWF2mvAdf1
 KMkcqgChCkAgpKS6xk8s5lHwusk5m7EdKJbH4tjyDXczp3cF481DaKgVHKx8
 jqdWPfPYaP/Q7NbJjX8rZPIIRew9gCIEiVyGfVsnnjmv88wrmirrCfnDWLoJ
 CkyXJ1F+8zleHliFZRgIs4DURlGFgamaGMECPr9NKKATDQWJIlGEi2EIHJFj
 sE+ScwsgwFRM6qrrOHTKIax4fuUftjZVddY2jE/lEtl/CvFPAXLFPL6wr/Lc
 mWfd1Fk7iXAgjKlau0PpMEF1PIemH6JvYCO2VyBp9xN3BrAdSSZXZFt6nV0x
 a4k47MisZlqgaSCEScHOsXqjpO6thbQbR4GSQ0HFEjqtjS307+xv2PL0hlua
 rmifp2kmruPuOYAAiuUSc/Y9/KqjOw6vDQb8WJoPVVVwpIPjeBTKQ+SLZUpF
 lzd39dK1/Y2ezYPb3iiJUv8ra4ceMIOFE398hHp5OKyj6RaaUqLspnh9tR93
 +XeYrF+NE0uDW0RTTBSpYqkG0yZPpe/Fp87b+UbvzVMP3W91Zii15wD5UpFw
 JNxywqQvXjouVEvADKIqAk9KSuUi6XyG4fQoXTtf48HXHv3zS9tW3RXPJla6
 BbcIGm0dsZlXfy9x5tHHufj9fnTdo1x0WXQDXff/sm77RdNbT62bsY6YESJk
 hfHrCpqiois6FaEYE2pa2fD42ivqJjWcEwqF9gzA8zyKTpHpdVPP3L9hRtBn
 mhiqjislRbtEIpOiZ6SXP7+x9OX71y5dMDQ4vE7TBW5ZBxo459zANQsv33l1
 Z6eHh4Wm2PRtL3H3XY0v3XwjR5bt3vx3Uwu+/GLimOvmz5zbNK1+Cp7fI2QF
 0YTAUFTaW9vpWd93VnfXph80dDR111bXfHyAkl0CAZ3j9j2pPjweQzcRisBx
 HZLZBFtHevj1unt/87vl987HgUggSCrrEQ3XR75+hXx0/oVbvlBR5YA00Ciy
 6c0IV10VXfTcssyVUCQatiiWy/cvWfnI8t6R7Yu/f+SVs2e2zsDQNBTNQlFU
 oqEolVqF0rum+/B0Otk9ZWrnhweaDwVwy4RD4UkTa9pn+g0TQ9PxPMgUsoyk
 R3lw06OLf/fCvfMNNMK+MKmsSUd726wbbyltveTyLV+IVUk82ySXKfH731Vm
 jz3GOPO5ZYkrdSVPW/M4iuUy0pNEQ+HBrs3rvrRoxe0vbx3sIVvI4nguQoCh
 adRGqpBpeWQ+XWz/yEj5oQWcI6mwojOaog2WpmqoQsFzbbKFHC/0rRr846q/
 XCZKoOInnVWYc0T1JXf/JvHySaf0xSx/BXZZJ5kocMdtzV0XLwhUJRLOfaf9
 xyH89NqDuf2Os7jxultRVZVMJkcwEEiu2LTyG0s2PJ5PF3KUnDJSClShEA1F
 0Mrqfqqr7LdHAADS9SotxcDUfUgUSm6JXfFBXt7ZdVPJK42onoVphPUFC3x/
 uOHW7ttmzhxG0yyk61EqCrZ2G7zwQvq+yZ09pTvvOVlccukFtLQ1YVmw4NIL
 +M09N6OoCtKVYPPSsk3LF29P9I1lcQEIFcuw8KlGZTlTrNkjANWniqZxjU2R
 QAQhPBCSfLlIys2wI92/QkXFkSZzz+PB628ePWfiJIGHgSe9sSOiqhKKwH9d
 Ff/hohtIVFcvXx9P3rBmdOTBV0fjA+du39rPGXPP5fzzziZXzGOaBgPJXc++
 NbIV23XwPA9FCEzLQrhK1XD3cNMeRSFVVcdFfeE2U7NwpER4Etd28AyPqnBV
 IjWUBGqbG5tzh/mNMo704zM8HMejZOcwDIWWCRotbaapCdfM5bdFHa8buwwb
 Nzxz14a3Zjxv+Jv6K2Lld4pFx7MHCk4e23WQUqKioOkC17aVzHA6tkcA5VI5
 3ju0oydTSKOKsfOvpumMDo7wjYXfMPJakccff6x3yV/qn6qpDHzZFxjG8zyq
 q0wqYhaaWkLXS0QqJKGIIBgKoOkKQqbo3ea6q1/pdeKJOFu6+//REBACTaio
 QgUknvSwyx6KoeYrWyt79yyRlSnFM8meXCmP59mAiWGY+GyTzVs2Nc4+fk7X
 0089xiurhuetXVt9q66ZleWyU6qtDU6oqY1G46OFivPm5S889/xkMBRWEUIi
 vCI7+gLcdlNk0SOPPDAYiUigTCwaJZ5KMi42rqUh2oiughDq7rN4AU9XkvXt
 TUN7BqCCq3qpeDFF2XHHdkAo1MbGsX39ugsuuuWyhzK7Uvz4Jz8qlu3+5YIw
 puFn12CevoFhFNE8PRwTlwdCLqruR5Bn184w376q/n+WPLTjh5AhnzXRDB1V
 UUGF/ZunHd8abUTXTBQBtuei6Qr9I307Vr75as8Zl8/9+E6saRojmZHXtox0
 52y7jJQSUzeY0NxGNBk88anfPnza1T/4Fldd8k3am9rQDBfDKOO4DqbRElp0
 o7z37LNH1EDAhypKDO5Sufwy341Llq7/djDgUjeuFtPnQ1M1kpkU7c0Tjjtj
 +ilnVATC6LoBUuB5DslclpSbWTOai6/boyhkaSZO0Xlzw+Dm15PFNEXHRgiN
 qD/M/vtMp/+J7t+uWvbS9AVfu4A/3fFHZh14IPFUmqBvfNXPfuq9cs452yZH
 K8YKv00bPM46o3zLY48NXXHk7GN4+JG7OWvuASTTSRLpJOMax7dddMD5v59W
 M4VoMIap6LtrsTwZN01vtu/JvCgO7hGArukIRbhvDKx/dlu8l5JdwpMuumrQ
 2tDMQW2zghv+d+3fn17y5Bf8NUGk6gOI/eTn6otz522bZPn8OK7GyHCGJx+v
 XZ+Mz7j8F9ddz+LFT3LEEaeSyg2PHROnTp919RFff/HYjiMrayqqsXQDRSjY
 skwqk2agsGtXT3L7sr6Bvj2vRkNWkO7hnvseW//MZZ3jJkUCpoWmBfCpPibv
 sy+6aYbWblz79y3hjbfr5drLTz+f2y66bPM+BlCWRRzbpmhDa8dQy7U3hRaP
 q1/7atfmS0f07Z6jCt+aY6eefPbFc876zsToBKorKgmYfnRVw5VQtEukS1ke
 ff2ZX764amUGey+6EkII4rkE46K119x62rVXH9bxeUL+CIZq4nkORafEaDbJ
 W1s3050cyYnxXca+h72kV+0ziB5I4g+VUf0umaQgNSQY3enRv9nH6MZDqJVn
 MCk6kapwhGgoQtAMoikKUkLRLTMYH+Tlga7U1x+4euLQrqHBWKSC0WR8z3ZA
 SknUF2FXfPD2+9c9fM6k2vZGRVPRLA1VEfg0k9pwFeEpAabY2UD/wCx6HjiL
 PqMH1xzBCKcIRHOUixZONoJWrqSq2Ei7VUFdrUVFJIBP86GrGpqqIiXYbols
 Ps1QdoSlm5/8yVBiaDAaiiCRe3kmVhQMTd+x9I3H/ntm84xfzZ1+KqrQd2+3
 glBUNEUhaPgJtpZobghRKtaTzdnkCh7uThVdB90nCMRUAn6BzzCwNAOEgqoo
 CBQ8KXE9j3y5QDyV4KmeZcsefvXR63RXG6uX5F4CSCkJ+YKMZhO/vmn5nftX
 +ysvPXribEASMIPoQkGoOkhJUNUI6B6eTyJjAs9z8aSHIhQUMdalUBVld6tG
 QQgBQuB6Hq7nkC1mGUnGebLn+Z6bn7vr3EIyT2Ukhud5n6yt4klJLFBB/2D/
 wu8/8VOfAvOP6DgMT0LAsDA0fayFIlSEqiKkB0IgFG2sJEAidvfgxbvffEhw
 pYvt2mQLWUZScZ7Y8mzfNc9eP3t0ZHRnZfhfK/+xO3MCgUSSSCdpHN9wzzfn
 LPza8fvMoTJciWGaGKqBrmjvdAPGFH7/qw/5ju4eHp70yJfyFIp5htKjPPLW
 01tv+uudRw4PDvXEwhUfsPt4MvHJeqMCgZSSRD6J3++/+PQZp/x83gFnhjuq
 JxCw/Gi6jqkZaIr2HgiJ3J1sBI7n4kqHQrlEvmBTsnNsGn2L33fdt+ShdY+e
 l88WcrFAxYc67ScGeDdIupDBkU5HZ9OUH5/Seezph7Z+XmmNNRP2R3YnwbF5
 ilARAjzp4jgexaLHaLzMruEiI84mVsdXbF7eu+J7XVteu1+XOmF/CE9+uNl8
 agBv27LjOKTzGTSfdmBLrPncg1sPPH1GXWddW00btb4KFC9MuaTjepJ8wSVd
 yFFShxDRbTTst4Zk8G9ccNnItPggr1umhc+yEEJ8ZMT5VAHeDVIql8iV8yCI
 +S3frKhZO2Vy87h5pxznn1YbDePzKyiBPjQrQ+2EONWtQ1TFJL39Gvf+qrl9
 6QNmdzKZJ5vNYNs2iqL8+wDeDeJ5HmWnTL5QQBhK5fh65k7pVL7g2FI9+hj3
 0AsXUBO2wJUWhWyR226ue2ht1/RTDaPAzoEimzZtJZPJo+vavx/ggzAu+Zyg
 7LpAQPnqfHXtz64ZmhoMB9C0POtfNzn1ZN+BO/riqxWhYmgKpmWi/pOk9VEA
 Gp+ySCkRQiEUhtGEwoEHWBdeunB0quVXURSX/h0Oi66rvW1Hn706Gg4ghPKe
 e/dUlM/i9b8AMhkbnxVrvviSwnUdE3Nohonj2Pzyzuon7r03vzDgy6Mo6id+
 1mcCIIGyY3Liyd73TjgpFVSUALhpVq6ozC3+U81CKGJZKp/GdxqfCUA+b1MR
 CU8/82z7KzVVJVS1SDrp5/bbQj/q3bFjayw61qr8NOQzAVA1hWKhWLHpjZJW
 LCiMjmhcv6h56cMPZ6/1mc4HP5j4JOb6aUehsTJckMk4BIPKhccdX3N+Mqk/
 /8wzIz+SMmOHQxaet+em81FR6P8GAItqTz13PSIoAAAAAElFTkSuQmCC
 ====
